/* gretl - The Gnu Regression, Econometrics and Time-series Library
 * Copyright (C) 1999-2000 Ramu Ramanathan and Allin Cottrell
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this software; if not, write to the 
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/* interact.h for gretl */

#include <ctype.h>

typedef struct {
    char cmd[9];
    char str[4];
    int ci;
    int nolist;
    int *list;
    char *param;
    int errcode;
    char errmsg[ERRLEN];
} CMD;

enum option_codes {
    OPT_BATCH = 1,
    OPT_HELP = 2,
    OPT_PVALS = 3,
    OPT_VERSION = 4,
    OPT_RUNIT = 5
};
    
/* functions follow */
 
void getcmd (char *line, DATAINFO *pdinfo, CMD *command, 
	     int *ignore, double **pZ, print_t *cmds);

int help (const char *cmd, const char *helpfile, print_t *prn);

void get_genr_formula (const char *line, char *formula);

int parse_criteria (const char *line, const DATAINFO *pdinfo, 
		    double **pZ, print_t *prn);

int fcast (const char *line, const MODEL *pmod, DATAINFO *pdinfo, 
	   double **pZ, char *msg);

int add_new_var (DATAINFO *pdinfo, double **pZ, GENERATE *genr);

int parseopt (const char *s);

int shell (const char *arg);

void echo_cmd (CMD *pcmd, const DATAINFO *pdinfo, const char *line, 
	       const int batch, const int gui, const int oflag, 
	       print_t *prn);

