/* gretl - The Gnu Regression, Econometrics and Time-series Library
 * Copyright (C) 1999-2000 Ramu Ramanathan and Allin Cottrell
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this software; if not, write to the 
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/* printout.h for gretl */

/* functions follow */
 
void session_time (void);

void logo (void);

void gui_logo (void);

void printmodel (const MODEL *pmod, const DATAINFO *pdinfo, print_t *prn);

void print_add (const COMPARE *add, const int *addvars, 
		const DATAINFO *pdinfo, const int aux_code, print_t *prn);

void print_omit (const COMPARE *omit, const int *omitvars, 
		 const DATAINFO *pdinfo, print_t *prn);

void print_aicetc (const MODEL *pmod, print_t *prn);

void printcorr (int *list, const CORRMAT corrmat, 
		const DATAINFO *pdinfo, print_t *prn);

void printfreq (FREQDIST *freq, print_t *prn);

void print_smpl (const DATAINFO *pdinfo, print_t *prn);

void print_float_10 (const double x, print_t *prn);

void print_coeff (const DATAINFO *pdinfo, const MODEL *pmod, 
		  const int c, print_t *prn);

void print_rho (int *arlist, const DATAINFO *pdinfo, const MODEL *pmod, 
		const int c, print_t *prn);

int outcovmx (MODEL *pmod, const DATAINFO *pdinfo, const int batch, 
	      print_t *prn);

void print_white_vcv (const MODEL *pmod, print_t *prn);

void mxout (const double *rr, const int *list, const int ci,
	    const DATAINFO *pdinfo, const int batch, print_t *prn);

void outxx (const double xx, const int ci, print_t *prn);

int pgbreak (const int n, int *lineno, const int batch);

int takenotes (const int batch, const int runit);

void space (int n, print_t *prn);

void graphyzx (const int *list, const double *zy1, const double *zy2, 
	       const double *zx, int n, const char *yname, 
	       const char *xname, const DATAINFO *pdinfo, 
	       int oflag, print_t *prn);

void printgx (const double xx, print_t *prn);

int make_list (int **plist, const DATAINFO *pdinfo);

void printxs (double xx, int n, int ci, print_t *prn);

int printdata (int *list, double **pZ, const DATAINFO *pdinfo, 
	       int batch, int byobs, print_t *prn);

int print_fit_resid (const MODEL *pmod, double **pZ, 
		     DATAINFO *pdinfo, print_t *prn);

void printstr (print_t *prn, const double xx, int *ls);

void printxx (const double xx, char *str, const int ci);

void print_ar (MODEL *pmod, print_t *prn);
